## maui-agenda 1.0.2

=== debian/changelog ===
maui-agenda (1.0.2-0zneon+24.04+noble+release+build8) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 02:38:35 +0000

maui-agenda (1.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 May 2025 23:20:10 +0000

maui-agenda (1.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2024 23:20:10 +0000

maui-agenda (1.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Sep 2024 23:20:10 +0000

maui-agenda (0.5.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 16:17:05 +0000

agenda (0.5.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 16:17:07 +0000

agenda (0.5.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Aug 2023 16:17:05 +0000

agenda (0.5.0-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000

## maui-agenda 1.0.2+p24.04+vstable+git20250914.2215

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(agenda VERSION 1.0.2)
add_compile_definitions(APP_COPYRIGHT_NOTICE="© 2022-2025 Maui Development Team")

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_MAJOR_VERSION 6)

set(REQUIRED_QT_VERSION 6.5.2)
set(REQUIRED_KF_VERSION 5.240.0)

set(PROJECT_URI "org.kde.${PROJECT_NAME}")
add_definitions(-DPROJECT_URI="${PROJECT_URI}")

find_package(ECM ${REQUIRED_KF_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMSetupVersion)
include(ECMSourceVersionControl)
include(FeatureSummary)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Quick Qml Widgets)
find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS I18n CoreAddons)

find_package(MauiKit4 REQUIRED COMPONENTS Calendar)

if(ECM_SOURCE_UNDER_VERSION_CONTROL)
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${PROJECT_VERSION}")
    add_definitions(-DGIT_BRANCH="${CMAKE_BUILD_TYPE}")
endif()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PROJECT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/project_version.h")

add_subdirectory(src)

ki18n_install(po)

install(FILES org.kde.agenda.metainfo.xml  DESTINATION ${KDE_INSTALL_METAINFODIR})

install(FILES src/org.kde.agenda.desktop DESTINATION ${KDE_INSTALL_APPDIR})

install(FILES src/assets/logo.svg DESTINATION ${KDE_INSTALL_ICONDIR}/hicolor/scalable/apps RENAME ${PROJECT_NAME}.svg)

#install(FILES data/org.kde.index.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vstable+git20250914.2215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 22:15:01 +0000

=== debian/control ===
Source: maui-agenda
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitcalendar-dev,
               mauikit-dev,
               mauiman-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-agenda
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-agenda.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-agenda
Maintainer: Neon CI <neon@kde.org>

Package: maui-agenda
Architecture: any
Depends: qml6-module-org-maui-mauikit,
         qml6-module-org-mauikit-calendar,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Agenda
 Calendar application built with MauiKit.
 .

Package: agenda
Depends: maui-agenda, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/agenda/([\d\.]+)/@PACKAGE@-([\d.]+).tar.xz

## maui-agenda 1.0.2+p24.04+vstable+git20251001.0620

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vstable+git20251001.0620-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:20:49 +0000

## maui-agenda 1.0.2+p24.04+vstable+git20260205.0744

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vstable+git20260205.0744-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:44:55 +0000

## maui-agenda 1.0.2+p24.04+vunstable+git20251001.0515

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vunstable+git20251001.0515-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:15:44 +0000

## maui-agenda 1.0.2+p24.04+vunstable+git20251202.1426

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vunstable+git20251202.1426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 14:26:53 +0000

## maui-agenda 1.0.2+p24.04+vunstable+git20260205.0843

=== debian/changelog ===
maui-agenda (1.0.2+p24.04+vunstable+git20260205.0843-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:43:19 +0000
